Milloin olet viimeksi päivittänyt sivustosi?

Sisällönhallintajärjestelmät, verkkokaupat ja foorumit vaativat jatkuvaa päivitystä erityisesti tietoturvahaavoittuvuuksien johdosta. Suosittelemme päivittämään käytössä olevat ohjelmistot ja niiden lisäosat viimeisimpiin versioihin. Ohjelmistot kannattaa pitää päivitettynä myös jatkossa automaattisten päivitysten avulla. Pyrimme suojaamaan ohjelmistot muun muassa kehittyneellä  palomuurilla, haavoittuvaisia ohjelmistoja paikkaavalla Patchman-ohjelmistolla sekä reaaliaikasella haitallisten tiedostojen valvonnalla. Nämäkään toimenpiteet eivät kuitenkaan pysty täysin estämään vanhentuneisiin ohjelmistoihin tapahtuviin hakkerointeihin.

Automaattiset päivitykset asennusohjelman kautta

Kun teet päivityksen asennusohjelman kautta, otetaan vanhasta versiosta samalla varmuuskopio. Näin pystyt tarvittaessa kätevästi palaamaan vanhaan versioon , jos tälle tulee tarvetta. Asennusohjelman Jakoavoin kuvakkeesta pääset muuttamaan päivitysten asetuksia. Voit laittaa sieltä päälle automaattiset päivitykset sekä itse ohjelmistolle, että lisäosille ja teemoille. WordPressissä kannattaa myös ottaa Kaksivaiheinen autentikointi – Clef käyttöön.

WordPress

Erityisen tärkeää on pitää WordPress-sivut päivitettynä niihin kohdistuvien hyökkäysten suuren määrän johdosta. WordPressin version tulee olla 4.7.2. Nykyään hyökkäykset kohdistuu usein myös vanhentuneisiin lisäosiin. Lisäosat täytyy myös pitää ajan tasalla. Näet WordPressin ohjausnäkymästä mikä versio on kulloinkin käytössä.

Joomla 

Suosittelemme käyttämään Joomla 3.6 versiota.

Magento

Suosittelemme käyttämään 2.1.3 versiota. Verkkokauppojen on erityisen tärkeää pitää ohjelmisto ajan tasalla.

 

31.01.2017

|